package com.yeejoin.amos.boot.module.ugp.api.Enum;


import java.util.HashMap;
import java.util.Map;

/**
 * 智能检验状态
 */
public enum IntelligentInspectionEnum {

    未通过("0","未通过"),
    通过("1","通过");

    IntelligentInspectionEnum() {

    }
    IntelligentInspectionEnum(String status, String name) {
        this.status = status;
        this.name = name;
    }

    public static Map<String,String> getNameByStatusMap = new HashMap<String,String>();
    public static Map<String,String> getStatusByNameMap = new HashMap<String,String>();
    static {
        for(IntelligentInspectionEnum inspectionEnum:IntelligentInspectionEnum.values()){
            getNameByStatusMap.put(inspectionEnum.status,inspectionEnum.name);
            getStatusByNameMap.put(inspectionEnum.name, inspectionEnum.status);
        }
    }


    private String status;
    private String name;


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
